Post Defects

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Request

This endpoint expects an object.
work_order_task_idstringRequired
form_step_idstringRequired
custom_idstringOptional
descriptionstringOptional
assignee_idslist of stringsOptional
requires_resolution_imagesbooleanOptionalDefaults to false
attachmentslist of stringsOptional
custom_field_valueslist of objectsOptional
priorityenumOptional

Response

created Defect
idstringOptional
ULID
display_idstringOptional
custom_idstringOptional
statusstringOptional
descriptionstringOptional
description_htmlstringOptional
form_step_idstringOptional
ULID
form_idstringOptional
ULID
step_labelstringOptional
requires_resolution_imagesbooleanOptional
rework_countintegerOptional
created_by_userobjectOptional
assigneeslist of objectsOptional
reviewerslist of objectsOptional
approverslist of objectsOptional
observerslist of objectsOptional
available_transitionslist of stringsOptional
can_manage_participantsbooleanOptional
work_order_taskobjectOptional
custom_fieldslist of objectsOptional
custom_field_definitionslist of objectsOptional
timelinelist of objectsOptional
description_attachmentslist of objectsOptional
created_atlongOptional

Unix timestamp (seconds since epoch)

priorityenumOptional